# azure.mgmt.cdn.operations module

class `azure.mgmt.cdn.operations.``ProfilesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProfilesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `create`(resource_group_name, profile_name, profile, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new CDN profile with a profile name under the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - profile (Profile) – Profile properties needed to create a new profile.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Profile or ClientRawResponse<Profile> if raw==True
    Return type: | AzureOperationPoller[Profile] or AzureOperationPoller[ClientRawResponse[Profile]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, profile_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing CDN profile with the specified parameters. Deleting a profile will result in the deletion of all of the sub-resources including endpoints, origins and custom domains.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `generate_sso_uri`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Generates a dynamic SSO URI used to sign in to the CDN supplemental portal. Supplemental portal is used to configure advanced feature capabilities that are not yet available in the Azure portal, such as core reports in a standard profile; rules engine, advanced HTTP reports, and real-time stats and alerts in a premium profile. The SSO URI changes approximately every 10 minutes.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SsoUri or ClientRawResponse if raw=true
    Return type: | SsoUri or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Gets a CDN profile with the specified profile name under the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Profile or ClientRawResponse if raw=true
    Return type: | Profile or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the CDN profiles within an Azure subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Profile
    Return type: | ProfilePaged[Profile]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the CDN profiles within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Profile
    Return type: | ProfilePaged[Profile]
    Raises: | `ErrorResponseException`

  `list_resource_usage`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Checks the quota and actual usage of endpoints under the given CDN profile.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceUsage
    Return type: | ResourceUsagePaged[ResourceUsage]
    Raises: | `ErrorResponseException`

  `list_supported_optimization_types`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Gets the supported optimization types for the current profile. A user can create an endpoint with an optimization type from the listed values.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SupportedOptimizationTypesListResult or ClientRawResponse if raw=true
    Return type: | SupportedOptimizationTypesListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, profile_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates an existing CDN profile with the specified profile name under the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - tags (dict[str, str]) – Profile tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Profile or ClientRawResponse<Profile> if raw==True
    Return type: | AzureOperationPoller[Profile] or AzureOperationPoller[ClientRawResponse[Profile]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``EndpointsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EndpointsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `create`(resource_group_name, profile_name, endpoint_name, endpoint, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new CDN endpoint with the specified endpoint name under the specified subscription, resource group and profile.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - endpoint (Endpoint) – Endpoint properties
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Endpoint or ClientRawResponse<Endpoint> if raw==True
    Return type: | AzureOperationPoller[Endpoint] or AzureOperationPoller[ClientRawResponse[Endpoint]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing CDN endpoint with the specified endpoint name under the specified subscription, resource group and profile.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing CDN endpoint with the specified endpoint name under the specified subscription, resource group and profile.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Endpoint or ClientRawResponse if raw=true
    Return type: | Endpoint or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_profile`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Lists existing CDN endpoints.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Endpoint
    Return type: | EndpointPaged[Endpoint]
    Raises: | `ErrorResponseException`

  `list_resource_usage`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Checks the quota and usage of geo filters and custom domains under the given endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceUsage
    Return type: | ResourceUsagePaged[ResourceUsage]
    Raises: | `ErrorResponseException`

  `load_content`(resource_group_name, profile_name, endpoint_name, content_paths, custom_headers=None, raw=False, polling=True, **operation_config)

    Pre-loads a content to CDN. Available for Verizon Profiles.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - content_paths (list[str]) – The path to the content to be loaded. Path should be a relative file URL of the origin.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `purge_content`(resource_group_name, profile_name, endpoint_name, content_paths, custom_headers=None, raw=False, polling=True, **operation_config)

    Removes a content from CDN.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - content_paths (list[str]) – The path to the content to be purged. Can describe a file path or a wild card directory.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `start`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts an existing CDN endpoint that is on a stopped state.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Endpoint or ClientRawResponse<Endpoint> if raw==True
    Return type: | AzureOperationPoller[Endpoint] or AzureOperationPoller[ClientRawResponse[Endpoint]]
    Raises: | `ErrorResponseException`

  `stop`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops an existing running CDN endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Endpoint or ClientRawResponse<Endpoint> if raw==True
    Return type: | AzureOperationPoller[Endpoint] or AzureOperationPoller[ClientRawResponse[Endpoint]]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, profile_name, endpoint_name, endpoint_update_properties, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates an existing CDN endpoint with the specified endpoint name under the specified subscription, resource group and profile. Only tags and Origin HostHeader can be updated after creating an endpoint. To update origins, use the Update Origin operation. To update custom domains, use the Update Custom Domain operation.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - endpoint_update_properties (EndpointUpdateParameters) – Endpoint update properties
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Endpoint or ClientRawResponse<Endpoint> if raw==True
    Return type: | AzureOperationPoller[Endpoint] or AzureOperationPoller[ClientRawResponse[Endpoint]]
    Raises: | `ErrorResponseException`

  `validate_custom_domain`(resource_group_name, profile_name, endpoint_name, host_name, custom_headers=None, raw=False, **operation_config)

    Validates the custom domain mapping to ensure it maps to the correct CDN endpoint in DNS.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - host_name (str) – The host name of the custom domain. Must be a domain name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ValidateCustomDomainOutput or ClientRawResponse if raw=true
    Return type: | ValidateCustomDomainOutput or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``OriginsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  OriginsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `get`(resource_group_name, profile_name, endpoint_name, origin_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing origin within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - origin_name (str) – Name of the origin which is unique within the endpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Origin or ClientRawResponse if raw=true
    Return type: | Origin or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_endpoint`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the existing origins within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Origin
    Return type: | OriginPaged[Origin]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, profile_name, endpoint_name, origin_name, origin_update_properties, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates an existing origin within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - origin_name (str) – Name of the origin which is unique within the endpoint.
    - origin_update_properties (OriginUpdateParameters) – Origin properties
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Origin or ClientRawResponse<Origin> if raw==True
    Return type: | AzureOperationPoller[Origin] or AzureOperationPoller[ClientRawResponse[Origin]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``CustomDomainsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CustomDomainsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `create`(resource_group_name, profile_name, endpoint_name, custom_domain_name, host_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates a new custom domain within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - host_name (str) – The host name of the custom domain. Must be a domain name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns CustomDomain or ClientRawResponse<CustomDomain> if raw==True
    Return type: | AzureOperationPoller[CustomDomain] or AzureOperationPoller[ClientRawResponse[CustomDomain]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, profile_name, endpoint_name, custom_domain_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing custom domain within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns CustomDomain or ClientRawResponse<CustomDomain> if raw==True
    Return type: | AzureOperationPoller[CustomDomain] or AzureOperationPoller[ClientRawResponse[CustomDomain]]
    Raises: | `ErrorResponseException`

  `disable_custom_https`(resource_group_name, profile_name, endpoint_name, custom_domain_name, custom_headers=None, raw=False, **operation_config)

    Disable https delivery of the custom domain.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CustomDomain or ClientRawResponse if raw=true
    Return type: | CustomDomain or ClientRawResponse
    Raises: | `ErrorResponseException`

  `enable_custom_https`(resource_group_name, profile_name, endpoint_name, custom_domain_name, custom_domain_https_parameters=None, custom_headers=None, raw=False, **operation_config)

    Enable https delivery of the custom domain.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - custom_domain_https_parameters (CustomDomainHttpsParameters) – The configuration specifying how to enable HTTPS for the custom domain - using CDN managed certificate or user’s own certificate. If not specified, enabling ssl uses CDN managed certificate by default.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CustomDomain or ClientRawResponse if raw=true
    Return type: | CustomDomain or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, profile_name, endpoint_name, custom_domain_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing custom domain within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CustomDomain or ClientRawResponse if raw=true
    Return type: | CustomDomain or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_endpoint`(resource_group_name, profile_name, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the existing custom domains within an endpoint.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - profile_name (str) – Name of the CDN profile which is unique within the resource group.
    - endpoint_name (str) – Name of the endpoint under the profile which is unique globally.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of CustomDomain
    Return type: | CustomDomainPaged[CustomDomain]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``ResourceUsageOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ResourceUsageOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Check the quota and actual usage of the CDN profiles under the given subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceUsage
    Return type: | ResourceUsagePaged[ResourceUsage]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available CDN REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``EdgeNodesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EdgeNodesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Edgenodes are the global Point of Presence (POP) locations used to deliver CDN content to end users.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EdgeNode
    Return type: | EdgeNodePaged[EdgeNode]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``PoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PoliciesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `create_or_update`(resource_group_name, policy_name, cdn_web_application_firewall_policy, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update policy with specified rule set name within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - policy_name (str) – The name of the CdnWebApplicationFirewallPolicy.
    - cdn_web_application_firewall_policy (CdnWebApplicationFirewallPolicy) – Policy to be created.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns CdnWebApplicationFirewallPolicy or ClientRawResponse<CdnWebApplicationFirewallPolicy> if raw==True
    Return type: | AzureOperationPoller[CdnWebApplicationFirewallPolicy] or AzureOperationPoller[ClientRawResponse[CdnWebApplicationFirewallPolicy]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, policy_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes Policy.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - policy_name (str) – The name of the CdnWebApplicationFirewallPolicy.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, policy_name, custom_headers=None, raw=False, **operation_config)

    Retrieve protection policy with specified name within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - policy_name (str) – The name of the CdnWebApplicationFirewallPolicy.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CdnWebApplicationFirewallPolicy or ClientRawResponse if raw=true
    Return type: | CdnWebApplicationFirewallPolicy or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the protection policies within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of CdnWebApplicationFirewallPolicy
    Return type: | CdnWebApplicationFirewallPolicyPaged[CdnWebApplicationFirewallPolicy]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, policy_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Update an existing CdnWebApplicationFirewallPolicy with the specified policy name under the specified subscription and resource group.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - policy_name (str) – The name of the CdnWebApplicationFirewallPolicy.
    - tags (dict[str, str]) – CdnWebApplicationFirewallPolicy tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns CdnWebApplicationFirewallPolicy or ClientRawResponse<CdnWebApplicationFirewallPolicy> if raw==True
    Return type: | AzureOperationPoller[CdnWebApplicationFirewallPolicy] or AzureOperationPoller[ClientRawResponse[CdnWebApplicationFirewallPolicy]]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``ManagedRuleSetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ManagedRuleSetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. Current version is 2017-04-02. Constant value: “2019-06-15-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all available managed rule sets.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ManagedRuleSetDefinition
    Return type: | ManagedRuleSetDefinitionPaged[ManagedRuleSetDefinition]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.cdn.models' from '/usr/lib/python3/dist-packages/azure/mgmt/cdn/models/__init__.py'>

class `azure.mgmt.cdn.operations.``CdnManagementClientOperationsMixin`

  Bases: `object`

  `check_name_availability`(name, custom_headers=None, raw=False, **operation_config)

    Check the availability of a resource name. This is needed for resources where name is globally unique, such as a CDN endpoint.

    Parameters:

    - name (str) – The resource name to validate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityOutput or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityOutput or ClientRawResponse
    Raises: | `ErrorResponseException`

  `check_name_availability_with_subscription`(name, custom_headers=None, raw=False, **operation_config)

    Check the availability of a resource name. This is needed for resources where name is globally unique, such as a CDN endpoint.

    Parameters:

    - name (str) – The resource name to validate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityOutput or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityOutput or ClientRawResponse
    Raises: | `ErrorResponseException`

  `validate_probe`(probe_url, custom_headers=None, raw=False, **operation_config)

    Check if the probe path is a valid path and the file can be accessed. Probe path is the path to a file hosted on the origin server to help accelerate the delivery of dynamic content via the CDN endpoint. This path is relative to the origin path specified in the endpoint configuration.

    Parameters:

    - probe_url (str) – The probe URL to validate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ValidateProbeOutput or ClientRawResponse if raw=true
    Return type: | ValidateProbeOutput or ClientRawResponse
    Raises: | `ErrorResponseException`